% Example 13-2; simple system
% Fault; 3-phase at bus 2
%Pre-Fault
V3_a1=0.98*exp(-j*11.79*pi/180);
I3_a1=(1/0.98)*exp(-j*11.79*pi/180);
Rload=0.98*0.98,
Ea=1+j*0.12*I3_a1, 
[Th_Ea,Amp_Ea]=cart2pol(real(Ea),imag(Ea));
Th_Ea_deg=Th_Ea*180/pi,
Amp_Ea
Power=Ea*conj(I3_a1),
% 3-phase fault at bus 2
Ifault=Ea/(j*(0.12+0.1)),
[ang,Ifault_Mag]=cart2pol(real(Ifault),imag(Ifault));
Ifault_AngDEG=ang*180/pi,
Ifault_Mag
% SLG fault at bus 2
ITH=Ea/(j*0.32+Rload);
VTH=(j*0.1+Rload)*ITH;
ZTH=(j*0.1+Rload)*(j*0.22)/((j*0.1+Rload)+(j*0.22));
Z2=(j*0.1+Rload)*(j*0.22)/((j*0.1+Rload)+(j*0.22));
Z0=(j*0.2+Rload)*(j*0.10)/((j*0.2+Rload)+(j*0.10)); % delta wye-grounded transfomer bypasses X0 of generator
Ia1=VTH/(ZTH+Z2+Z0);
Ifault=3*Ia1;
[ang,Ifault_Mag]=cart2pol(real(Ifault),imag(Ifault));
Ifault_AngDEG=ang*180/pi,
Ifault_Mag
