PSCAD 4.2.0

Settings
 {
 Id = "1153430108.1252712800"
 Author = "A.Bruce Wollenberg"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 18
 Warn = 1
 Check = 7
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 0.1
  Step = 5e-005
  Plot = 0.00025
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 4607
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }

 }

Definitions
 {
 Module("Main")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[800,560],5)
   {
   0.resistor([414,288],1,0,-1)
    {
    R = "10.39"
    }
   0.inductor([414,342],1,0,-1)
    {
    L = "0.01592 [H]"
    }
   -Wire-([432,54],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.pgb([468,54],0,23673032,160)
    {
    Name = "Voltage (ph a)"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-200"
    Max = "200"
    }
   -Sticky-([18,18],0)
    {
    Name = ""
    Font = 1
    Bounds = 18,18,234,72
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "Lab Example 2- Part 3: Three-Phase Ac Analysis"
    }
   -Wire-([414,324],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.ground([414,396],1,0,-1)
    {
    }
   -Wire-([414,378],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.voltmetergnd([306,252],0,0,30)
    {
    Name = "Va"
    }
   0.ammeter([414,252],1,0,40)
    {
    Name = "Ia"
    }
   0.datalabel([432,54],0,0,-1)
    {
    Name = "Va"
    }
   -Wire-([432,108],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.pgb([468,108],0,23657712,150)
    {
    Name = "curr (a)"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "-15"
    Max = "15"
    }
   0.datalabel([432,108],0,0,-1)
    {
    Name = "Ia"
    }
   0.mult([126,504],0,0,70)
    {
    }
   0.datalabel([126,540],0,0,-1)
    {
    Name = "Ia"
    }
   0.datalabel([90,504],0,0,-1)
    {
    Name = "Va"
    }
   0.resistor([504,288],1,0,-1)
    {
    R = "10.39"
    }
   0.inductor([504,342],1,0,-1)
    {
    L = "0.01592 [H]"
    }
   -Wire-([504,324],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.ground([504,396],1,0,-1)
    {
    }
   -Wire-([504,378],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.ammeter([504,252],1,0,50)
    {
    Name = "Ib"
    }
   0.resistor([594,288],1,0,-1)
    {
    R = "10.39"
    }
   0.inductor([594,342],1,0,-1)
    {
    L = "0.01592 [H]"
    }
   -Wire-([594,324],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.ground([594,396],1,0,-1)
    {
    }
   -Wire-([594,378],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.ammeter([594,252],1,0,60)
    {
    Name = "Ic"
    }
   0.source_3([108,360],5,0,-1)
    {
    Name = "Source 1"
    Type = "1"
    Grnd = "1"
    View = "0"
    Spec = "0"
    VCtrl = "0"
    FCtrl = "0"
    Vm = "207.846 [kV]"
    Tc = "0.05[s]"
    f = "60.0 [Hz]"
    Ph = "0.0 [deg]"
    Vbase = "230.0 [kV]"
    Sbase = "100.0 [MVA]"
    Vpu = "1.0 [pu]"
    PhT = "0.0 [deg]"
    Pinit = "0.0 [pu]"
    Qinit = "0.0 [pu]"
    R = "0.001 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    IA = ""
    IB = ""
    IC = ""
    }
   -Wire-([144,324],0,0,-1)
    {
    Vertex="0,0;0,-72;270,-72"
    }
   -Wire-([108,324],0,0,-1)
    {
    Vertex="0,0;0,-108;396,-108;396,-72"
    }
   -Wire-([72,324],0,0,-1)
    {
    Vertex="0,0;0,-144;522,-144;522,-72"
    }
   0.voltmetergnd([252,216],0,0,20)
    {
    Name = "Vb"
    }
   0.voltmetergnd([216,180],0,0,10)
    {
    Name = "Vc"
    }
   -Plot-([702,54],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,504,450]
    Posn = [702,54]
    Icon = [-1,-1]
    Extents = 0,0,504,450
    XLabel = " "
    AutoPan = "true,75"
    Graph([0,0],[0,0,504,129],"y")
     {
     Options = 1
     Units = ""
     Curve(23673032,"Voltage (ph a)",0,,,)
     Curve(23657712,"curr (a)",0,,,)
     }
    Graph([0,129],[0,0,504,129],"y")
     {
     Options = 1
     Units = ""
     Curve(23657712,"curr (a)",0,,,)
     }
    Graph([0,258],[0,0,504,129],"y")
     {
     Options = 1
     Units = ""
     Curve(24273640,"PinstA",0,,,)
     Curve(24275424,"PinstB",0,,,)
     Curve(23433560,"PinstC",0,,,)
     Curve(24273104,"Pinst_total",0,,,)
     }
    }
   0.mult([126,576],0,0,80)
    {
    }
   0.datalabel([126,612],0,0,-1)
    {
    Name = "Ib"
    }
   0.datalabel([90,576],0,0,-1)
    {
    Name = "Vb"
    }
   -Wire-([162,576],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.mult([126,648],0,0,90)
    {
    }
   0.datalabel([126,684],0,0,-1)
    {
    Name = "Ic"
    }
   0.datalabel([90,648],0,0,-1)
    {
    Name = "Vc"
    }
   0.sumjct([270,576],0,0,100)
    {
    DPath = "1"
    A = "0"
    B = "1"
    C = "0"
    D = "1"
    E = "0"
    F = "1"
    G = "0"
    }
   -Wire-([198,576],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([180,648],0,0,-1)
    {
    Vertex="0,0;90,0;90,-36"
    }
   0.pgb([342,576],0,24273104,120)
    {
    Name = "Pinst_total"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "MW"
    mrun = "0"
    Pol = "0"
    Min = "-500"
    Max = "3500"
    }
   0.pgb([162,468],0,24273640,140)
    {
    Name = "PinstA"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-500"
    Max = "3500"
    }
   -Wire-([162,504],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   0.pgb([162,540],0,24275424,130)
    {
    Name = "PinstB"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-500"
    Max = "3500"
    }
   -Wire-([162,540],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   0.pgb([162,612],0,23433560,110)
    {
    Name = "PinstC"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-500"
    Max = "3500"
    }
   -Wire-([306,576],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([162,648],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([162,612],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   0.datalabel([162,576],0,0,-1)
    {
    Name = "PinstB"
    }
   0.datalabel([162,648],0,0,-1)
    {
    Name = "PinstC"
    }
   0.datalabel([162,504],0,0,-1)
    {
    Name = "PinstA"
    }
   0.datalabel([306,576],0,0,-1)
    {
    Name = "Pinst_total"
    }
   -Wire-([162,504],0,0,-1)
    {
    Vertex="0,0;108,0;108,36"
    }
   -ControlPanel-([684,666],0)
    {
    Name = "$(GROUP) : Controls"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 684,666
    Extents = 0,0,144,180
    Meter(24273104)
    }
   -Sticky-([396,468],0)
    {
    Name = ""
    Font = 2
    Bounds = 396,468,630,630
    Alignment = 0
    Style = 1
    Arrow = 1
    Color = 0,8454143
    Text = "Here we have three identical impedances, which are the same as the impedance in task 2a, connected to a three phase source"
    }
   -Sticky-([378,684],0)
    {
    Name = ""
    Font = 2
    Bounds = 378,684,630,864
    Alignment = 0
    Style = 1
    Arrow = 8
    Color = 0,8454143
    Text = "The average power delivered from a three phase source should be 3 times that delivered from a single phase source. Compare this value to that found for the single phase source in task 2a."
    }
   -Sticky-([882,522],0)
    {
    Name = ""
    Font = 2
    Bounds = 882,522,1116,684
    Alignment = 0
    Style = 1
    Arrow = 1
    Color = 0,8454143
    Text = "Note that the three instantanous power signals are out of phase by 120 deg, but their sum, Pinst_total is a constant. "
    }
   }
  }
 }

