PSCAD 4.2.1

Settings
 {
 Id = "1143565622.1253644804"
 Author = "Ned Mohan.shabari"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 18
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 0.5
  Step = 5e-005
  Plot = 0.00025
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 4607
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }

 }

Definitions
 {
 Module("Main")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[640,474],5)
   {
   -TLine-([396,162],0,0,-1)
    {
    Name = "TLine"
    Date = 1
    Freq = "60.0 [Hz]"
    Length = "1000.0 [km]"
    Dim = 3
    Mode = 1
    Vertex="0,0;0,-18;18,18;54,18"
    PageLayer(A/A4,Landscape,18,[640,474],5)
     {
     0.Line_Ground([252,396],0,0,-1)
      {
      GRRES = "100.0 [ohm*m]"
      GPERM = "1.0"
      EarthForm = "0"
      }
     0.Line_Berg_Options([630,180],0,0,-1)
      {
      BDamp = "0"
      Interp1 = "1"
      F1 = "2000 [Hz]"
      TZ = "0.005 [ms]"
      TP = "0.005 [ms]"
      Inflen = "0"
      }
     0.Line_Tower_3-Flat([612,306],0,0,-1)
      {
      TName = "3L3"
      Y = "17 [m]"
      XC = "7.5 [m]"
      X = "0 [m]"
      ShuntG = "1.0E-11 [mho/m]"
      SHSag = "0"
      Transp = "1"
      NG = "2"
      ElimGW = "1"
      CDataType = "0"
      CName = "bluebird"
      CLName = "C:\\Program Files\\PSCAD421Eval\\examples\\Relay_Cases\\conductor.clb"
      RadiusC = "0.0203454 [m]"
      DCResC = "0.03206 [ohm/km]"
      SAGC = "7.92 [m]"
      NCondB = "1"
      BundSym = "0"
      SHBund = "1"
      BSP = ".4572 [m]"
      GDataType = "1"
      GName = "7/16\" Utility Grade Steel"
      GLName = "C:\\Program Files\\PSCAD420Eval\\examples\\Relay_Cases\\conductor.clb"
      RadiusG = "0.01106 [m]"
      DCResG = "2.865 [ohm/km]"
      SAGG = "4.75 [m]"
      YG = "9.63 [m]"
      XG = "10.12 [m]"
      XB1 = "-0.1 [m]"
      YB1 = "0.1 [m]"
      XB2 = "-0.1 [m]"
      YB2 = "0.1 [m]"
      XB3 = "-0.1 [m]"
      YB3 = "0.1 [m]"
      XB4 = "-0.1 [m]"
      YB4 = "0.1 [m]"
      XB5 = "-0.1 [m]"
      YB5 = "0.1 [m]"
      XB6 = "-0.1 [m]"
      YB6 = "0.1 [m]"
      XB7 = "-0.1 [m]"
      YB7 = "0.1 [m]"
      XB8 = "-0.1 [m]"
      YB8 = "0.1 [m]"
      XB9 = "-0.1 [m]"
      YB9 = "0.1 [m]"
      XB10 = "-0.1 [m]"
      YB10 = "0.1 [m]"
      NC1 = "1"
      NC2 = "2"
      NC3 = "3"
      NG1 = "4"
      NG2 = "5"
      }
     0.Line_Out_Disp([288,288],0,0,-1)
      {
      DataF = "60.0 [Hz]"
      Zero_Tol = "1.0E-19"
      Vbase = "345 [kV]"
      MVAbase = "100 [MVA]"
      picomp = "0"
      Rip = "1.0E5 [ohm]"
      }
     }
    }
   -Sticky-([612,18],0)
    {
    Name = ""
    Font = 2
    Bounds = 612,18,1170,432
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,65535
    Text = "\
The symbol at the left is a transmission line symbol. Normally it is contained within a model of a power system. Here we are going to simply use the EMTDC/PSCAD programs's ability to calculate line parameters (R,L, and C) 

To do these calculations you first hit the \"run\" button (green arrow) while displaying the Tline symbol.

Next you right click on the symbol and select \"Edit Definition\" which brings up a new display that has all the necessary information to alter the line's conductor parameters and line conductor placement.

While the Edit Definition display is up we can then click on the Data button at the bottom and it will show the line parameters. We only want the parameters at the bottom with the label

LOAD FLOW RXB FORMATTED DATA

"
    }
   }
  }
 }

