PSCAD 4.2.0

Settings
 {
 Id = "1012915854.1146241487"
 Author = "johnn.Ned Mohan"
 Desc = "Simple 12-Pulse Inverter"
 Arch = "windows"
 Options = 32
 Build = 2
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 1
  Step = 2e-005
  Plot = 2e-005
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 511
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }

 }

Definitions
 {
 Module("runtime")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-29,-29,29,29)
   Text(0,-7,"Meters")
   Text(0,4,"and")
   Text(0,15,"Graphs")
   }


  Page(B/A3,Landscape,16,[640,323],100)
   {
   -Plot-([72,378],0)
    {
    Title = ""
    Draw = 1
    Area = [0,0,612,774]
    Posn = [-1,-1]
    Icon = [-1,-1]
    Extents = 0,0,612,774
    XLabel = ""
    AutoPan = "false,75"
    Graph([0,0],[0,0,612,237],"y")
     {
     Options = 137
     Units = ""
     Curve(21398440,"AC Bus Volts",8388608,,,)
     }
    Graph([0,237],[0,0,612,237],"y")
     {
     Options = 137
     Units = ""
     Curve(21442752,"DC Current",8388608,,,)
     }
    Graph([0,474],[0,0,612,237],"y")
     {
     Options = 137
     Units = ""
     Curve(21455960,"Vdc 12p Filt`d",8388608,,,)
     }
    }
   -ControlPanel-([72,72],0)
    {
    Name = "Converters"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = -1,-1
    Extents = 0,0,0,0
    Slider(21490840)
    Slider(21485664)
    Meter(21451976)
    Meter(21467208)
    Meter(21455960)
    Meter(21481776)
    Meter(21459912)
    }
   -ControlPanel-([72,216],0)
    {
    Name = "Delta Transformer Secondary Current Harmonics "
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = -1,-1
    Extents = 0,0,0,0
    Meter(21465232)
    Meter(21359312)
    Meter(21363240)
    Meter(21364584)
    Meter(21366560)
    }
   -Plot-([702,378],0)
    {
    Title = "AC Side Currents"
    Draw = 1
    Area = [0,0,612,774]
    Posn = [-1,-1]
    Icon = [-1,-1]
    Extents = 0,0,612,774
    XLabel = ""
    AutoPan = "false,75"
    Graph([0,0],[0,0,612,237],"y")
     {
     Options = 137
     Units = ""
     Curve(21475696,"Phase A Line Current",8388608,,,)
     }
    Graph([0,237],[0,0,612,237],"y")
     {
     Options = 137
     Units = ""
     Curve(21419120,"Delta Prim. Line Current",8388608,,,)
     Curve(21463208,"Wye Prim. Line Current",32768,,,)
     }
    Graph([0,474],[0,0,612,237],"y")
     {
     Options = 137
     Units = ""
     Curve(21417368,"Delta Sec. Line Current",8388608,,,)
     Curve(21421112,"Wye Sec. Line Current",32768,,,)
     }
    }
   -Plot-([1332,378],0)
    {
    Title = "Voltages"
    Draw = 1
    Area = [0,0,612,774]
    Posn = [-1,-1]
    Icon = [-1,-1]
    Extents = 0,0,612,774
    XLabel = ""
    AutoPan = "false,75"
    Graph([0,0],[0,0,612,237],"y")
     {
     Options = 137
     Units = ""
     Curve(21449896,"Vdc 6p Delta",8388608,,,)
     Curve(21453984,"Vdc 6p Wye",32768,,,)
     }
    Graph([0,237],[0,0,612,237],"y")
     {
     Options = 137
     Units = ""
     Curve(21457936,"Vdc 12p",8388608,,,)
     }
    Graph([0,474],[0,0,612,237],"y")
     {
     Options = 137
     Units = ""
     Curve(21425944,"VvD #1",8388608,,,)
     Curve(21440104,"VvY #1",32768,,,)
     }
    }
   -ControlPanel-([630,216],0)
    {
    Name = "DC Voltage Harmonics (300 Hz Base)"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = -1,-1
    Extents = 0,0,0,0
    Meter(21375464)
    Meter(21377408)
    Meter(21379384)
    Meter(21381360)
    }
   -ControlPanel-([774,72],0)
    {
    Name = "Source"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = -1,-1
    Extents = 0,0,0,0
    Meter(21469648)
    Meter(21471576)
    }
   }
  }
 Module("Main")
  {
  Desc = " MAIN"
  FileDate = 1146241378
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[640,323],100)
   {
   -Wire-([864,450],0,0,-1)
    {
    Vertex="0,0;0,-72"
    }
   0.ground([666,666],1,0,-1)
    {
    }
   0.ground([864,666],1,0,-1)
    {
    }
   -Wire-([864,162],0,0,-1)
    {
    Vertex="0,0;0,-72"
    }
   0.datalabel([1026,1116],0,0,-1)
    {
    Name = "Idc"
    }
   -Wire-([1026,1116],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([1170,1116],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([1206,1062],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.datalabel([1170,1008],0,0,-1)
    {
    Name = "Qbus"
    }
   -Wire-([1206,1008],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.datalabel([1170,954],0,0,-1)
    {
    Name = "Pbus"
    }
   -Wire-([1206,954],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.pgb([432,774],3,21359312,600)
    {
    Name = "IvaD 5th"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "2"
    }
   0.datatap([432,774],6,0,370)
    {
    Index = "5"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([468,774],6,0,580)
    {
    Index = "7"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([504,774],6,0,390)
    {
    Index = "11"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([540,774],6,0,550)
    {
    Index = "13"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.pgb([468,774],3,21363240,590)
    {
    Name = "IvaD 7th"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "2"
    }
   0.pgb([504,774],3,21364584,570)
    {
    Name = "IvaD 11th"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "2.0"
    }
   0.pgb([540,774],3,21366560,560)
    {
    Name = "IvaD 13th"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "2.0"
    }
   0.datalabel([162,828],6,0,-1)
    {
    Name = "IvaD"
    }
   0.arrow_s([162,756],0,0,-1)
    {
    }
   -Sticky-([90,738],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 90,738,198,792
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
Delta Transformer
Secondary Winding
Phase A Line Current"
    }
   -Sticky-([216,1116],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 216,1116,324,1152
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
Base freq = 300 Hz
(6th harmonic)"
    }
   0.arrow_s([270,1098],2,0,-1)
    {
    }
   0.datalabel([162,1008],0,0,-1)
    {
    Name = "Vdc12p"
    }
   -Wire-([162,828],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([162,1008],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datatap([396,954],6,0,530)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   -Wire-([342,792],0,0,-1)
    {
    Vertex="0,0;180,0"
    }
   0.datatap([432,954],6,0,510)
    {
    Index = "2"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([468,954],6,0,490)
    {
    Index = "3"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([504,954],6,0,470)
    {
    Index = "4"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   -Wire-([342,972],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   0.pgb([396,954],3,21375464,540)
    {
    Name = "V12p 6th"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "30"
    }
   0.pgb([432,954],3,21377408,520)
    {
    Name = "V12p 12th"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "30"
    }
   0.pgb([468,954],3,21379384,500)
    {
    Name = "V12p 18th"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "30"
    }
   0.pgb([504,954],3,21381360,480)
    {
    Name = "V12p 24th"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "30"
    }
   -Wire-([522,162],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([702,234],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([702,270],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([702,306],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.ground([594,342],1,0,-1)
    {
    }
   0.nodeloop([522,270],0,0,40)
    {
    View = "0"
    }
   -Wire-([486,306],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([450,270],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([306,378],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([306,414],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   -Wire-([306,450],0,0,-1)
    {
    Vertex="0,0;180,0"
    }
   0.pin([414,378],0,0,-1)
    {
    }
   0.pin([450,414],0,0,-1)
    {
    }
   0.pin([486,450],0,0,-1)
    {
    }
   0.ground([234,414],2,0,-1)
    {
    }
   -Wire-([414,522],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   0.ground([594,630],1,0,-1)
    {
    }
   0.resistor([666,630],1,0,-1)
    {
    R = "1.0E6 [ohm]"
    }
   -Wire-([702,522],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([702,594],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([702,558],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([450,558],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([486,594],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([792,450],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   -Wire-([738,432],0,0,-1)
    {
    Vertex="0,0;0,-270"
    }
   -Wire-([522,162],0,0,-1)
    {
    Vertex="0,0;270,0"
    }
   0.rms3ph([666,432],4,0,90)
    {
    Type = "0"
    View = "0"
    Scale = "1.0"
    Ts = "0.02 [sec]"
    freq = "60.0 [Hz]"
    NSAM = "64"
    Vinit = "0.0 [kV]"
    }
   -Wire-([702,432],0,0,-1)
    {
    Vertex="0,0;90,0"
    }
   0.pgb([630,432],4,21398440,630)
    {
    Name = "AC Bus Volts"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Wire-([1008,234],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([1044,234],0,0,-1)
    {
    Name = "GRD"
    }
   0.time-sig([1206,774],5,0,140)
    {
    }
   0.gain([1188,306],2,0,350)
    {
    G = "0.017453"
    COM = "Gain"
    Dim = "1"
    }
   -Wire-([1008,306],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   -Wire-([1008,198],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([1044,522],0,0,-1)
    {
    Name = "GRS"
    }
   -Wire-([1008,486],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([1008,522],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([1098,594],0,0,-1)
    {
    Vertex="0,0;0,-288"
    }
   -Wire-([1134,630],0,0,-1)
    {
    Vertex="0,0;0,-288"
    }
   -Wire-([1008,342],0,0,-1)
    {
    Vertex="0,0;126,0"
    }
   -Wire-([1008,594],0,0,-1)
    {
    Vertex="0,0;90,0"
    }
   0.voltmetergnd([918,90],0,0,20)
    {
    Name = "Vdc12p"
    }
   -Wire-([864,90],0,0,-1)
    {
    Vertex="0,0;126,0"
    }
   0.resistor([1080,90],2,0,-1)
    {
    R = "2.5 [ohm]"
    }
   -Wire-([1080,90],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([1152,90],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.resistor([1224,90],2,0,-1)
    {
    R = "2.49 [ohm]"
    }
   -Wire-([1026,90],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([1242,90],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   -Wire-([1278,90],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   0.ground([1386,666],1,0,-1)
    {
    }
   -Wire-([1386,666],0,0,-1)
    {
    Vertex="0,0;0,-234"
    }
   -Wire-([1386,360],0,0,-1)
    {
    Vertex="0,0;0,-270"
    }
   0.datatap([396,774],6,0,360)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.arrow_s([162,954],0,0,-1)
    {
    }
   0.voltmeter([360,378],0,0,60)
    {
    Name = "Eab"
    }
   0.datalabel([1170,1116],4,0,-1)
    {
    Name = "Iasrc"
    }
   0.fft([270,828],0,0,130)
    {
    Type = "1"
    Size = "1"
    F = "50.0 [Hz]"
    AMod = "0"
    PMod = "1"
    PModCS = "0"
    Filt = "1"
    Track = "0"
    Enab = "1"
    Fout = "\""
    }
   0.fft([270,1008],0,0,190)
    {
    Type = "1"
    Size = "0"
    F = "300.0 [Hz]"
    AMod = "0"
    PMod = "1"
    PModCS = "0"
    Filt = "0"
    Track = "0"
    Enab = "1"
    Fout = "\""
    }
   0.datalabel([1350,1062],6,0,-1)
    {
    Name = "Iay"
    }
   -Wire-([1350,1062],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([1350,954],6,0,-1)
    {
    Name = "Iad"
    }
   -Wire-([1350,954],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([1350,1116],6,0,-1)
    {
    Name = "IvaY"
    }
   -Wire-([1350,1116],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([1350,1008],6,0,-1)
    {
    Name = "IvaD"
    }
   -Wire-([1350,1008],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.arrow_s([1386,882],0,0,-1)
    {
    }
   0.pgb([1386,1008],0,21417368,260)
    {
    Name = "Delta Sec. Line Current"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([1386,954],0,21419120,220)
    {
    Name = "Delta Prim. Line Current"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([1386,1116],0,21421112,340)
    {
    Name = "Wye Sec. Line Current"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Sticky-([1332,864],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 1332,864,1404,900
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
Transformer 
Output"
    }
   0.datatap([1062,954],6,0,440)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([1062,1008],6,0,430)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   -Wire-([1008,972],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([1008,1026],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([1008,1026],0,0,-1)
    {
    Name = "VvD"
    }
   0.pgb([1062,1008],0,21425944,450)
    {
    Name = "VvD #1"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([1008,972],0,0,-1)
    {
    Name = "VvY"
    }
   0.arrow_s([1206,882],0,0,-1)
    {
    }
   0.arrow_s([1044,882],0,0,-1)
    {
    }
   -Sticky-([954,864],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 954,864,1062,900
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
Wye and Delta Bridge
Valve #1 Voltages"
    }
   0.arrow_s([756,792],0,0,-1)
    {
    }
   0.sumjct([684,864],0,0,150)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.datalabel([612,864],0,0,-1)
    {
    Name = "Vdc12p"
    }
   0.datalabel([684,918],0,0,-1)
    {
    Name = "Vdc6pY"
    }
   -Wire-([612,864],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([684,900],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   -Wire-([720,864],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.realpole([756,918],0,0,170)
    {
    Limit = "0"
    COM = "Vdc 6pD Real Pole"
    Reset = "0"
    YO = "0.0"
    G = "1.0"
    T = "0.016 [sec]"
    Max = "10.0"
    Min = "-10.0"
    }
   -Wire-([720,918],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   0.pgb([1062,954],0,21440104,460)
    {
    Name = "VvY #1"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Sticky-([1152,864],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 1152,864,1224,900
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "Source Output"
    }
   0.pgb([1062,1116],0,21442752,320)
    {
    Name = "DC Current"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([648,972],0,0,-1)
    {
    Name = "Vdc6pY"
    }
   -Wire-([648,972],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   0.realpole([756,1026],0,0,230)
    {
    Limit = "0"
    COM = "Vdc 6pY Real Pole"
    Reset = "0"
    YO = "0.0"
    G = "1.0"
    T = "0.016 [sec]"
    Max = "10.0"
    Min = "-10.0"
    }
   -Wire-([684,1026],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   -Sticky-([684,774],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 684,774,774,810
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "DC Signal Filtering"
    }
   0.realpole([756,1134],0,0,300)
    {
    Limit = "0"
    COM = "Vdc 12p Real Pole"
    Reset = "0"
    YO = "0.0"
    G = "1.0"
    T = "0.016 [sec]"
    Max = "10.0"
    Min = "-10.0"
    }
   0.datalabel([648,1080],0,0,-1)
    {
    Name = "Vdc12p"
    }
   -Wire-([648,1080],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   -Wire-([684,1134],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   -Wire-([684,1026],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([684,1134],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.voltmetergnd([864,414],3,0,100)
    {
    Name = "Vdc6pY"
    }
   0.pgb([792,864],0,21449896,160)
    {
    Name = "Vdc 6p Delta"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([792,918],0,21451976,180)
    {
    Name = "Vdc 6p Delta Filt'd"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "500"
    }
   0.pgb([792,972],0,21453984,200)
    {
    Name = "Vdc 6p Wye"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([792,1134],0,21455960,310)
    {
    Name = "Vdc 12p Filt`d"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "500"
    }
   0.pgb([792,1080],0,21457936,270)
    {
    Name = "Vdc 12p"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([1044,486],0,21459912,620)
    {
    Name = "Wye Alpha Meas."
    Group = ""
    Display = "0"
    Scale = "57.3"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "180"
    }
   0.datalabel([1170,1062],0,0,-1)
    {
    Name = "Eab"
    }
   -Wire-([486,594],0,0,-1)
    {
    Vertex="0,0;0,-288"
    }
   -Wire-([414,522],0,0,-1)
    {
    Vertex="0,0;0,-288"
    }
   -Wire-([450,558],0,0,-1)
    {
    Vertex="0,0;0,-288"
    }
   0.pgb([1386,1062],0,21463208,290)
    {
    Name = "Wye Prim. Line Current"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([396,774],3,21465232,610)
    {
    Name = "IvaD (fund)"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "2"
    }
   0.pgb([792,1026],0,21467208,240)
    {
    Name = "Vdc 6p Wye Filt'd"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "500"
    }
   -Sticky-([126,936],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 126,936,198,972
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
12-Pulse DC 
Voltage"
    }
   0.pgb([1206,954],0,21469648,210)
    {
    Name = "PU Real Power"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "p.u."
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "1"
    }
   0.pgb([1206,1008],0,21471576,250)
    {
    Name = "PU Reactive Power"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "p.u."
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "1"
    }
   0.pgb([1206,1062],0,21473720,280)
    {
    Name = "Bus LL Voltage"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([1206,1116],0,21475696,330)
    {
    Name = "Phase A Line Current"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.g6p200([864,270],0,0,420)
    {
    UP = "0"
    FP = "0"
    SNUB = "1"
    KV = "-2"
    View = "0"
    FR = "50.0 [Hz]"
    GP = "10.0"
    GI = "50.0"
    KP = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    CD = "0.05 [uF]"
    RD = "5000.0 [ohm]"
    FPNM = ""
    VVolt = "VvD"
    VCurr = ""
    SCurr = ""
    }
   0.g6p200([864,558],0,0,410)
    {
    UP = "0"
    FP = "0"
    SNUB = "1"
    KV = "-1"
    View = "0"
    FR = "50.0 [Hz]"
    GP = "10.0"
    GI = "50.0"
    KP = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    CD = "0.05 [uF]"
    RD = "5000.0 [ohm]"
    FPNM = ""
    VVolt = "VvY"
    VCurr = ""
    SCurr = ""
    }
   0.inductor([1026,90],2,0,-1)
    {
    L = "0.49 [H]"
    }
   0.inductor([1278,90],2,0,-1)
    {
    L = "0.49 [H]"
    }
   0.source_1([1386,396],1,0,-1)
    {
    Name = "Source1"
    Type = "6"
    Grnd = "0"
    Spec = "0"
    Cntrl = "0"
    AC = "0"
    Vm = "500.0 [kV]"
    Tc = "0.0 [sec]"
    Ph = "0.0 []"
    f = "60.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "1.0 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   0.ammeter([1152,90],4,0,30)
    {
    Name = "Idc"
    }
   0.pgb([1044,198],0,21481776,640)
    {
    Name = "Delta Alpha Meas."
    Group = ""
    Display = "0"
    Scale = "57.3"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "180"
    }
   -Wire-([1008,630],0,0,-1)
    {
    Vertex="0,0;162,0"
    }
   0.mult([1206,630],4,0,400)
    {
    }
   0.compare([1206,702],3,0,380)
    {
    X = "0.04"
    OL = "0"
    OH = "1"
    INTR = "0"
    }
   0.datalabel([1134,630],0,0,-1)
    {
    Name = "KBI"
    }
   0.var([1278,630],2,21485664,120)
    {
    Name = "Miss Fire"
    Group = ""
    Display = "0"
    Max = "10"
    Min = "-10"
    Value = "1.0"
    Units = ""
    Collect = "1"
    }
   0.source3([270,414],0,0,80)
    {
    Name = "AC Source"
    Type = "1"
    Ctrl = "0"
    MVA = "1000.0 [MVA]"
    Vm = "230.0 [kV]"
    F = "50.0 [Hz]"
    Tc = "0.0 [sec]"
    ZSeq = "0"
    Imp = "0"
    Exph = "0"
    View = "0"
    Term = "0"
    R1s = "0.01 [ohm]"
    R1p = "1.0 [ohm]"
    L1p = "0.1 [H]"
    Z1 = "1.0 [ohm]"
    Phi1 = "80.0 []"
    RN = "2.0"
    R0p = "1.0 [ohm]"
    L0p = "0.1 [H]"
    Z0 = "1.0 [ohm]"
    Phi0 = "80.0 []"
    Es = "230.0 [kV]"
    F0 = "50.0 [Hz]"
    Ph = "0.0 []"
    Pinit = "0.0 [pu]"
    Qinit = "0.0 [pu]"
    VCtrl = "0"
    Vdes = "1.0 [p.u.]"
    Vbase = "230.0 [kV]"
    Tvm = "0.02 [sec]"
    Tvc = "0.05 [sec]"
    PCtrl = "0"
    Pdes = "1.0 [p.u.]"
    Tpm = "0.02 [sec]"
    Tpc = "0.05 [sec]"
    P = "Pbus"
    Q = "Qbus"
    V = ""
    Theta = ""
    Ia = "Iasrc"
    Ib = "Ibsrc"
    Ic = "Icsrc"
    }
   0.xfmr-3p2w([630,558],0,0,110)
    {
    Name = "YYinv"
    Tmva = "585.811 [MVA]"
    f = "50.0 [Hz]"
    YD1 = "0"
    YD2 = "0"
    Lead = "1"
    Xl = "0.18 [p.u.]"
    Ideal = "0"
    NLL = "0.0 [p.u.]"
    CuL = "0.0 [pu]"
    Tap = "0"
    View = "0"
    Dtls = "0"
    V1 = "230.0 [kV]"
    V2 = "207.115 [kV]"
    Enab = "0"
    Sat = "2"
    Xair = "0.2 [p.u.]"
    Tdc = "1.0 [sec]"
    Xknee = "1.25 [p.u.]"
    Txk = "0 [sec]"
    Im1 = "1.0 [%]"
    ILA1 = "Iay"
    ILB1 = "Iby"
    ILC1 = "Icy"
    IAB1 = ""
    IBC1 = ""
    ICA1 = ""
    ILA2 = "IvaY"
    ILB2 = "IvbY"
    ILC2 = "IvcY"
    IAB2 = ""
    IBC2 = ""
    ICA2 = ""
    IMA = ""
    IMB = ""
    IMC = ""
    FLXA = ""
    FLXB = ""
    FLXC = ""
    IMAB = ""
    IMBC = ""
    IMCA = ""
    FLXAB = ""
    FLXBC = ""
    FLXCA = ""
    }
   0.var([1260,306],2,21490840,70)
    {
    Name = "Alpha Order"
    Group = ""
    Display = "0"
    Max = "155.0"
    Min = "5.0"
    Value = "140"
    Units = "deg"
    Collect = "1"
    }
   .runtime([540,90],0,0,10)
    {
    }
   0.xfmr-3p2w([630,270],0,0,50)
    {
    Name = "YDinv"
    Tmva = "585.811 [MVA]"
    f = "50.0 [Hz]"
    YD1 = "0"
    YD2 = "1"
    Lead = "1"
    Xl = "0.18 [p.u.]"
    Ideal = "0"
    NLL = "0.0 [p.u.]"
    CuL = "0.0 [pu]"
    Tap = "0"
    View = "0"
    Dtls = "0"
    V1 = "230.0 [kV]"
    V2 = "207.115 [kV]"
    Enab = "0"
    Sat = "2"
    Xair = "0.2 [p.u.]"
    Tdc = "1.0 [sec]"
    Xknee = "1.25 [p.u.]"
    Txk = "0 [sec]"
    Im1 = "1.0 [%]"
    ILA1 = "Iad"
    ILB1 = "Ibd"
    ILC1 = "Icd"
    IAB1 = ""
    IBC1 = ""
    ICA1 = ""
    ILA2 = "IvaD"
    ILB2 = "IvbD"
    ILC2 = "IvcD"
    IAB2 = ""
    IBC2 = ""
    ICA2 = ""
    IMA = ""
    IMB = ""
    IMC = ""
    FLXA = ""
    FLXB = ""
    FLXC = ""
    IMAB = ""
    IMBC = ""
    IMCA = ""
    FLXAB = ""
    FLXBC = ""
    FLXCA = ""
    }
   -Wire-([414,234],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   0.annotation([270,306],0,0,-1)
    {
    AL1 = "1000 MVA, 230 kV (nominal), 50 Hz"
    AL2 = "Voltage Source"
    }
   -Sticky-([72,144],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 72,144,270,252
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
SIMPLE 12-PULSE Inverter
Workshop 1
Course 24.799 - HVDC Transmission I
Dr. Ani Gole
Converted to V 3.x by J. Nordstrom
Feb 5, 2002
"
    }
   -Sticky-([306,108],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 306,108,450,180
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
Acknowledgements:
the former Garry Mazur,
 HVDC Controls expert
student, friend and colleague"
    }
   -Sticky-([54,504],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 54,504,360,558
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
NOTE: CHECK ACTUAL SOURCE VOLTAGE.
230 kV is only the 'nameplate' voltage. You may (or may not!)
have to edit the parameters to select YOUR desired voltage!"
    }
   }
  }
 }

