PSCAD 4.2.0

Settings
 {
 Id = "1143056042.1257277806"
 Author = "Ned Mohan.Bruce Wollenberg"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 18
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 0.3
  Step = 5e-005
  Plot = 5e-005
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 4607
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }

 }

Definitions
 {
 Module("Main")
  {
  Desc = ""
  FileDate = 1257277217
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[800,560],5)
   {
   0.inductor([396,216],3,0,-1)
    {
    L = "0.0019 [H]"
    }
   0.peswitch([414,252],6,0,320)
    {
    L = "T"
    Type = "1"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.ammeter([288,162],0,0,10)
    {
    Name = "Ia"
    }
   0.pgb([72,216],0,22933640,330)
    {
    Name = "Vas"
    Group = ""
    Display = "0"
    Scale = "0.1"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-20"
    Max = "20"
    }
   0.datalabel([36,216],0,0,-1)
    {
    Name = "Vas"
    }
   -Wire-([36,216],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.monostable([1314,288],0,0,250)
    {
    T = "0.001 [s]"
    INTR = "0"
    }
   0.compar([1206,288],0,0,220)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "0"
    OLo = "1"
    }
   0.var([1098,288],0,22996456,50)
    {
    Name = "Alpha"
    Group = ""
    Display = "0"
    Max = "180"
    Min = "0.0"
    Value = "140.0"
    Units = ""
    Collect = "1"
    }
   0.pgb([1368,288],0,22997832,300)
    {
    Name = "FP2"
    Group = ""
    Display = "0"
    Scale = "200"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-25.0"
    Max = "225"
    }
   -Wire-([1134,288],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([1134,378],1,23000168,290)
    {
    Name = "Alfa"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([450,288],3,0,-1)
    {
    Name = "FP2"
    }
   0.datalabel([1350,288],0,0,-1)
    {
    Name = "FP2"
    }
   -Wire-([1350,288],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.pgb([72,252],0,23003600,40)
    {
    Name = "Load cur"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-80"
    Max = "80"
    }
   0.datalabel([36,252],0,0,-1)
    {
    Name = "Ia"
    }
   -Wire-([36,252],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.sig_gen([756,486],0,0,80)
    {
    Max = "180"
    Min = "0"
    }
   0.consti([684,486],0,0,70)
    {
    Name = ""
    Value = "60"
    }
   0.signalgen([666,630],0,0,100)
    {
    F = "60.0 [Hz]"
    P = "90 [deg]"
    Type = "2"
    Duty = "50 [%]"
    Max = "1"
    Min = "0"
    INTR = "0"
    }
   0.mult([864,576],0,0,170)
    {
    }
   -Wire-([702,630],0,0,-1)
    {
    Vertex="0,0;162,0;162,-18"
    }
   -Wire-([792,486],0,0,-1)
    {
    Vertex="0,0;0,90;54,90"
    }
   0.mult([864,414],0,0,140)
    {
    }
   0.signalgen([720,414],0,0,60)
    {
    F = "60.0 [Hz]"
    P = "-90 [deg]"
    Type = "2"
    Duty = "50 [%]"
    Max = "1"
    Min = "0"
    INTR = "0"
    }
   -Wire-([756,414],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([792,486],0,0,-1)
    {
    Vertex="0,0;72,0;72,-54"
    }
   0.sumjct([954,414],0,0,150)
    {
    DPath = "0"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.consti([954,486],3,0,90)
    {
    Name = ""
    Value = "180"
    }
   0.gain([1044,414],0,0,160)
    {
    G = "-1"
    COM = "Gain"
    Dim = "1"
    }
   0.peswitch([378,288],4,0,310)
    {
    L = "T"
    Type = "1"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([414,252],0,0,-1)
    {
    Vertex="0,0;0,-18;-36,-18;-36,0"
    }
   -Wire-([414,288],0,0,-1)
    {
    Vertex="0,0;0,36;-36,36;-36,0"
    }
   0.datalabel([342,252],1,0,-1)
    {
    Name = "FP1"
    }
   -Wire-([1080,414],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.monostable([1278,522],0,0,240)
    {
    T = "0.001 [s]"
    INTR = "0"
    }
   0.compar([1170,522],0,0,210)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "0"
    OLo = "1"
    }
   0.pgb([1332,522],0,23021280,280)
    {
    Name = "FP1"
    Group = ""
    Display = "0"
    Scale = "200."
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "210"
    }
   0.datalabel([1314,522],0,0,-1)
    {
    Name = "FP1"
    }
   -Wire-([1314,522],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([1152,288],0,0,-1)
    {
    Vertex="0,0;0,234;18,234"
    }
   -Wire-([900,576],0,0,-1)
    {
    Vertex="0,0;270,0;270,-18"
    }
   -Wire-([882,414],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([990,414],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.mult([1098,378],0,0,200)
    {
    }
   -Wire-([1134,378],0,0,-1)
    {
    Vertex="0,0;0,-54;72,-54"
    }
   -Wire-([810,414],0,0,-1)
    {
    Vertex="0,0;0,-36;252,-36"
    }
   -ControlPanel-([504,198],0)
    {
    Name = "$(GROUP) : Controls"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 504,198
    Extents = 0,0,0,0
    Slider(22996456)
    }
   0.source_1([270,270],7,0,-1)
    {
    Name = "Source1"
    Type = "1"
    Grnd = "1"
    Spec = "0"
    Cntrl = "0"
    AC = "1"
    Vm = "132.79 [kV]"
    Tc = "0.0 [s]"
    Ph = "270.0 [deg]"
    f = "60.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "0.1 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   -Wire-([270,198],0,0,-1)
    {
    Vertex="0,0;0,-36;18,-36"
    }
   -Wire-([396,216],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   -Wire-([360,162],0,0,-1)
    {
    Vertex="0,0;36,0;36,18"
    }
   -Wire-([270,234],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   0.ground([396,324],1,0,-1)
    {
    }
   0.voltmetergnd([270,198],1,0,30)
    {
    Name = "Vas"
    }
   -Plot-([18,594],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,558,216]
    Posn = [18,594]
    Icon = [-1,-1]
    Extents = 0,0,558,216
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,558,153],"y")
     {
     Options = 0
     Units = ""
     Curve(22997832,"FP2",0,,,)
     }
    }
   -Plot-([18,810],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,558,396]
    Posn = [18,810]
    Icon = [-1,-1]
    Extents = 0,0,558,396
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,558,167],"y")
     {
     Options = 128
     Units = ""
     Curve(22933640,"Vas",0,,,)
     }
    Graph([0,167],[0,0,558,166],"y")
     {
     Options = 128
     Units = ""
     Curve(23003600,"Load cur",0,,,)
     }
    }
   0.multimeter([342,162],0,0,20)
    {
    MeasI = "0"
    MeasV = "0"
    MeasP = "1"
    MeasQ = "1"
    RMS = "0"
    MeasPh = "0"
    S = "1.0 [MVA]"
    BaseV = "1.0 [kV]"
    TS = "0.02 [s]"
    Freq = "60.0 [Hz]"
    Dis = "0"
    CurI = ""
    VolI = ""
    P = "P"
    Q = ""
    Vrms = ""
    Ph = ""
    hide1 = "0"
    hide2 = "0"
    Pd = ""
    Qd = ""
    Vd = ""
    }
   0.fft([756,846],0,0,120)
    {
    Type = "1"
    Size = "0"
    F = "60.0 [Hz]"
    AMod = "0"
    PMod = "0"
    PModCS = "0"
    Filt = "1"
    Track = "0"
    Enab = "1"
    Fout = ""
    }
   0.datalabel([684,846],0,0,-1)
    {
    Name = "Ia"
    }
   0.mult([936,774],0,0,230)
    {
    }
   0.consti([864,774],0,0,110)
    {
    Name = ""
    Value = "132.790"
    }
   0.datatap([864,828],0,0,180)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   -Wire-([828,810],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([972,774],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.datalabel([1026,774],0,0,-1)
    {
    Name = "Q"
    }
   0.pgb([1026,774],0,23111792,260)
    {
    Name = "Q"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-200"
    Max = "200"
    }
   -ControlPanel-([630,198],0)
    {
    Name = "$(GROUP) : Controls"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 630,198
    Extents = 0,0,0,0
    Meter(23111792)
    }
   0.datalabel([864,828],0,0,-1)
    {
    Name = "Ia_fund"
    }
   0.datalabel([918,900],0,0,-1)
    {
    Name = "Ia_fund"
    }
   0.div([954,900],0,0,190)
    {
    }
   0.consti([900,954],0,0,130)
    {
    Name = ""
    Value = "1000"
    }
   -Wire-([936,954],0,0,-1)
    {
    Vertex="0,0;18,0;18,-18"
    }
   0.datalabel([990,900],0,0,-1)
    {
    Name = "Ia_kA"
    }
   0.datalabel([936,810],0,0,-1)
    {
    Name = "Ia_kA"
    }
   -Plot-([18,360],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,558,234]
    Posn = [18,360]
    Icon = [-1,-1]
    Extents = 0,0,558,234
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,558,171],"y")
     {
     Options = 0
     Units = ""
     Curve(23021280,"FP1",0,,,)
     }
    }
   0.pgb([1080,594],1,23084672,270)
    {
    Name = "Alfa1"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Wire-([1080,594],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   -Sticky-([864,666],0)
    {
    Name = ""
    Font = 2
    Bounds = 864,666,1350,702
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,65535
    Text = "Circuits to generate the thyristor pulses FP1 and FP2"
    }
   -Sticky-([666,972],0)
    {
    Name = ""
    Font = 2
    Bounds = 666,972,1098,1008
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,65535
    Text = "Circuits to calculate the Reactive Power Ia and Va"
    }
   }
  }
 }

